function BlackMarketManager:view_weapon(category, slot, open_node_cb, spawn_workbench, custom_data)
	if not self._global.crafted_items[category] or not self._global.crafted_items[category][slot] then
		Application:error("[BlackMarketManager:view_weapon] Trying to view weapon that doesn't exist", category, slot)
		return
	end
	self.last_viewed = {category, slot, nil, spawn_workbench, custom_data}
	local weapon = self._global.crafted_items[category][slot]
	local texture_switches = self:get_weapon_texture_switches(category, slot, weapon)
	self:preload_weapon_blueprint("preview", weapon.factory_id, weapon.blueprint, spawn_workbench)
	if spawn_workbench then
		table.insert(self._preloading_list, {
			done_cb = function()
				managers.menu_scene:spawn_workbench_room()
			end
		})
	end
	table.insert(self._preloading_list, {
		done_cb = function()
			managers.menu_scene:spawn_item_weapon(weapon.factory_id, weapon.blueprint, weapon.cosmetics, texture_switches, custom_data)
		end
	})
	if open_node_cb then
		table.insert(self._preloading_list, {done_cb = open_node_cb})
	end
end